/* filename: loaddata.g
** description: reads time series data from ASCII data set into
** Gauss variable SERIES
** created:  12/10/01
**
*/

if datasel > 0;

   /* USE SIMULATED DATA
   */

   lsimdata  = datapath $+ "\\" $+ lmodel $+ "yT" $+ dataselstr;
   open fhsimdata = ^lsimdata for read;
   series_yT = readr(fhsimdata,Tsim[datasel]);
   closeall fhsimdata;   
   
   lsimdata  = datapath $+ "\\" $+ lmodel $+ "sT" $+ dataselstr;
   open fhsimdata = ^lsimdata for read;
   series_sT = readr(fhsimdata,Tsim[datasel]);
   closeall fhsimdata;   
   
   ti = seqa(1,1,Tsim[datasel]);

else; 

   /* USE ACTUAL DATA
   **
   ** Time series, extracted 10/01
   ** Filename: data_gr1.prn
   ** 1. GDP growth, per capita, quarter-to-quarter [%]: GDPQ_CGR
   ** 2. Annualized Inflation [%], CPI-U: INFL   
   ** 3. Federal Funds Rate [%]: FYFF 
   **
   ** Quarterly data from 1960:I to 1997:4
   ** 152 Observations
   */

   load path   = ^datapath series_yT[152,3]= "data_gr1.prn";
   load path   = ^datapath series_sT[152,2]= "data_ss1.prn";
   ti          = seqa(1960,0.25,152);
         
endif;
