/******************************************************************/
/*                                                                */
/*              Plot the impulse response functions               */
/*                                                                */
/*                        Frank Schorfheide                       */
/*                                                                */
/******************************************************************/

/* filename: diplot.g
** created:  09/27/01
*/
new;
library pgraph;
cls;

#include c:\projects\active\learnpol\gauss2\pathspec.g
#include c:\projects\active\learnpol\gauss2\lpspec.g

nirf  = 13;                /* number of impulse responses */
mhrun = "2";
Tend  = 81;

/******************************************************** 
** Import data
** series (nobs,3)
*/
#include c:\projects\active\learnpol\gauss2\loaddata.g

nobs  = rows(series_yT);  /* number of observations */
YY    = series_yT;   
ti    = ti[Tend:Tend+nirf-1];
YY    = YY[Tend:Tend+nirf-1,.];

/* Read Posterior Simulation Summary Files
*/

lmodel = "m1";
subTstr = "1";

lpath  = resupath $+ "\\mhrun" $+ mhrun;
ldraw  = lpath $+ "\\" $+ lmodel $+ lprior $+ dataselstr $+ subTstr $+ "dis";

open fhdraw = ^ldraw for read;

irf_m      = readr(fhdraw,1);
irf_m1     = reshape(irf_m,5,nirf)';

closeall fhdraw;


lmodel = "m3";
subTstr = "1";

lpath  = resupath $+ "\\mhrun" $+ mhrun;
ldraw  = lpath $+ "\\" $+ lmodel $+ lprior $+ dataselstr $+ subTstr $+ "dis";

open fhdraw = ^ldraw for read;

irf_m      = readr(fhdraw,1);
irf_m3     = reshape(irf_m,5,nirf)';


closeall fhdraw;

lmodel = "m4";
subTstr = "1";

lpath  = resupath $+ "\\mhrun" $+ mhrun;
ldraw  = lpath $+ "\\" $+ lmodel $+ lprior $+ dataselstr $+ subTstr $+ "dis";

open fhdraw = ^ldraw for read;

irf_m      = readr(fhdraw,1);
irf_m4     = reshape(irf_m,5,nirf)';

closeall fhdraw;

titlestr = "Output Growth" $|
           "Inflation" $|
           "Nom Interest" $|
           "Real Interest (Ex Post)" $|
           "Expected Inflation" $|
           "Prob ( High Infl )" ;
   
    graphset;
    begwind;
    margin(0,0,0.2,0.2);
    window(3,2,0);
    fonts("microb");
    _ptitlht = 0.4;
    _paxht = 0.4;
    _pnumht = 0.35;
    _pcolor =2 ;
    _pcolor = { 2 1 4 6};
    _pltype = {6 1 2 3};
    _protate = 0; 
    _plctrl = 0;
    _plwidth = 5.5;
    _psymsiz = 5;
    _plegstr = "Full Information\000Learning\000No Learning\000Actual";
    _plegctl = {2 4 2.5 1};   
 
    xtics(1980,1983,1,4);
 
       y_ind = 1;

       do until y_ind > 6;
       /* iterate over endogenous variables */

          /*
          if sh_ind == 4;
             ytics(0,0.5,0.1,1);
          endif;
          */

          title(titlestr[y_ind]);
          if Y_ind LE 3;
             xy(ti, irf_m1[.,y_ind]~irf_m3[.,y_ind] ~irf_m4[.,y_ind]~YY[.,y_ind]); 
          elseif Y_ind == 4;
             xy(ti[1:nirf-1],
                  (irf_m1[1:nirf-1,3] - irf_m1[2:nirf,2]) ~
                  (irf_m3[1:nirf-1,3] - irf_m3[2:nirf,2]) ~
                  (irf_m4[1:nirf-1,3] - irf_m4[2:nirf,2]) ~
                  YY[1:nirf-1,3] - YY[2:nirf,2]);             
          else;
             xy(ti, irf_m1[.,y_ind-1]~irf_m3[.,y_ind-1] ~irf_m4[.,y_ind-1]); 
          endif;
 
          _plegctl = { };
          nextwind;
                 
          y_ind = y_ind+1;
       endo;
           
    endwind;

"Full Info";
(irf_m1[2:13,2]-irf_m1[1:12,4])';

"Learning";
(irf_m3[2:13,2]-irf_m3[1:12,4])';
