/******************************************************************/
/*                                                                */
/*              Plot the impulse response functions               */
/*                                                                */
/*                        Frank Schorfheide                       */
/*                                                                */
/******************************************************************/

/* filename: irfplot.g
** created:  09/27/01
*/
new;
library pgraph;
cls;

#include c:\projects\active\learnpol\gauss2\pathspec.g
#include c:\projects\active\learnpol\gauss2\lpspec.g

nirf  = 20;                /* number of impulse responses */
ti    = seqa(1,1,nirf);
mhrun  = "2";


/* Read Posterior Simulation Summary Files
*/
lmodel = "m3";
subTstr = "1";

lpath  = resupath $+ "\\mhrun" $+ mhrun;
ldraw  = lpath $+ "\\" $+ lmodel $+ lprior $+ dataselstr $+ subTstr $+ "irs";

open fhdraw = ^ldraw for read;

irf_m      = readr(fhdraw,1);
irf_m1     = reshape(irf_m,5,nirf)';

closeall fhdraw;

subTstr = "2";

lpath  = resupath $+ "\\mhrun" $+ mhrun;
ldraw  = lpath $+ "\\" $+ lmodel $+ lprior $+ dataselstr $+ subTstr $+ "irs";

open fhdraw = ^ldraw for read;

irf_m      = readr(fhdraw,1);
irf_m2     = reshape(irf_m,5,nirf)';

closeall fhdraw;

subTstr = "3";

lpath  = resupath $+ "\\mhrun" $+ mhrun;
ldraw  = lpath $+ "\\" $+ lmodel $+ lprior $+ dataselstr $+ subTstr $+ "irs";

open fhdraw = ^ldraw for read;

irf_m   = readr(fhdraw,1);
irf_m3  = reshape(irf_m,5,nirf)';

closeall fhdraw;

subTstr = "4";

lpath  = resupath $+ "\\mhrun" $+ mhrun;
ldraw  = lpath $+ "\\" $+ lmodel $+ lprior $+ dataselstr $+ subTstr $+ "irs";

open fhdraw = ^ldraw for read;

irf_m   = readr(fhdraw,1);
irf_m4  = reshape(irf_m,5,nirf)';

closeall fhdraw;

lmodel = "m4";
subTstr = "1";

lpath  = resupath $+ "\\mhrun" $+ mhrun;
ldraw  = lpath $+ "\\" $+ lmodel $+ lprior $+ dataselstr $+ subTstr $+ "irs";

open fhdraw = ^ldraw for read;

irf_m      = readr(fhdraw,1);
irf_m5     = reshape(irf_m,5,nirf)';

closeall fhdraw;

subTstr = "2";

lpath  = resupath $+ "\\mhrun" $+ mhrun;
ldraw  = lpath $+ "\\" $+ lmodel $+ lprior $+ dataselstr $+ subTstr $+ "irs";

open fhdraw = ^ldraw for read;

irf_m      = readr(fhdraw,1);
irf_m6     = reshape(irf_m,5,nirf)';

closeall fhdraw;


closeall fhdraw;

titlestr = "Output Growth" $|
           "Inflation" $|
           "Nom Interest";
   
    graphset;
    begwind;
    margin(0,0,0.2,0.2);
    window(3,2,0);
    fonts("microb");
    _ptitlht = 0.4;
    _paxht = 0.4;
    _pnumht = 0.35;
    _pcolor =2 ;
    _pcolor = { 2 1 4 };
    _pltype = {6 1 2};
    _protate = 0; 
    _plctrl = 0;
    _plwidth = 5.5;
    _psymsiz = 5;
    _plegstr = "Learning\000Approximation\000No Learning";
    _plegctl = {2 4 3.5 1.5};   
    
       y_ind = 1;
       do until y_ind > 3;
       /* iterate over endogenous variables */

          title(titlestr[y_ind] $+ " / Exp 1");
          xy(ti, irf_m1[.,y_ind]~irf_m3[.,y_ind]~irf_m5[.,y_ind] ); 
          nextwind;
          _plegctl = { };   
                 
          title(titlestr[y_ind] $+ " / Exp 2");
          xy(ti, irf_m2[.,y_ind]~irf_m4[.,y_ind]~irf_m6[.,y_ind] ); 
          nextwind;

          y_ind = y_ind+1;
       endo;
           
    endwind;

