library pgraph;

epsrt_min = -5;
epsrt_max = 5;
neps = 1000;
epsrt_grid = seqa( epsrt_min, (epsrt_max-epsrt_min)/(neps-1), neps);

/* Define model parameters
*/
  
   gam     = 0.5;
   pila    = 2.8;
   pida    = 5.2;
   rsta    = 2;

   tau     = 1/2;
   kap     = 0.4;
   psi     = 1.5;

   rhog    = 0.9;
   rhoz    = 0.3;
   rhor    = 0.7;
   
   sigg    = 1;
   sigz    = 1;
   sigrla  = 0.7;
   sigrha  = 1.7;

   para  = gam  | pila | pida | rsta | tau | kap | psi | rhog | rhoz | rhor |
           sigg | sigz | sigrla | sigrha;

   phi = 0.95 | 0.95 ;

   prob0  = (1-phi[2])/(2-phi[1]-phi[2]) | 
            (1-phi[1])/(2-phi[1]-phi[2]) ;


format /mb1 /rds 12,6;

{T1,TC,T0,EXPeffect_f,EXPeffect_m,RC} = dsgesolv(para,phi);


sigrqfix = (sigrla | sigrha)/4;
epsrtmfix = 0.25*(1-psi)*(1-rhor)*( pila | (pila+pida) );
prob = 0.1;
probstt1fix = (1-prob)| prob;

RTqfix = 0;
T0fix = T0[3,3];

EXPeffect_ffix = EXPeffect_f[3,.];

resid_grid = zeros(neps,1);

i = 1;
do until i > neps;
   resid_grid[i,1] = evalresid(epsrt_grid[i]);
   i = i+1;
endo;

graphset;
xy(epsrt_grid,resid_grid);

end;


proc(1) = evalresid(epsrt);
local zetat, probst, resid;

zetat =  exp( -0.5 * ( ( (1|1)*epsrt - epsrtmfix )^2 ./ sigrqfix^2) ) ./ sigrqfix ;
probst = ( probstt1fix .* zetat )/sumc(probstt1fix .* zetat );
resid  = probst[1];

retp(resid);
endp;


#include c:\projects\active\learnpol\gauss2\lpmod.src
