/* filename:    paratab0.g
** description: generates a LaTeX Table  
*/

new;
closeall;
library user, pgraph;
cls;
outwidth 128;

/******************************************************************
**         Load Parameter Draws from MH Output
*/
#include c:\projects\active\learnpol\gauss2\pathspec.g;
#include c:\projects\active\learnpol\gauss2\lpspec.g;

/* Specify input files
*/
inputfile_str =  "\\mhrun0\\m1101pts"
              $| "\\mhrun0\\m1101pps" ;

/* Specify row names for table
*/
row_name =  "$\\gamma$        & $\\RR$   & Normal "
         $| "$\\pi^*_L$       & $\\RR^+$ & Gamma "
         $| "$\\pi^*_H - \\pi^*_L$ & $\\RR^+$ & Gamma "         
         $| "$r$              & $\\RR^+$ & Gamma "
         $| "$\\tau$          & $[0,1]$  & Beta  "
         $| "$\\kappa$        & $\\RR^+$ & Gamma "
         $| "$\\psi$          & $\\RR^+$ & Gamma "
         $| "$\\rho_g$        & $[0,1)$  & Beta  "
         $| "$\\rho_z$        & $[0,1)$  & Beta  "         
         $| "$\\rho_R$        & $[0,1)$  & Beta  "
         $| "$\\sigma_g$      & $\\RR^+$ & InvGamma "
         $| "$\\sigma_z$      & $\\RR^+$ & InvGamma "
         $| "$\\sigma_{R,L}$  & $\\RR^+$ & InvGamma "
         $| "$\\sigma_{R,H}$  & $\\RR^+$ & InvGamma " 
         $| "$\\phi_1$        & $[0,1)$  & Beta  "
         $| "$\\phi_2$        & $[0,1)$  & Beta  ";
             
inputfile_n = rows(inputfile_str);

post_mean = zeros(nparat+nparap,1);
post_ci   = zeros(nparat+nparap,2);

paraind = 1 | nparat+1;
paralength = nparat | nparap; 

/* read the input files
*/
inputfile_ind = 1;

lparas = parapath $+ inputfile_str[inputfile_ind];
open fhparas = ^lparas for read;
post_mean[1:nparat,.] = readr(fhparas,1)';
drawrow = seekr(fhparas,nparat+3);
post_ci[1:nparat,.] = readr(fhparas,2)';
closeall fhparas;

inputfile_ind = inputfile_ind+1;

lparas = parapath $+ inputfile_str[inputfile_ind];
open fhparas = ^lparas for read;
post_mean[nparat+1:nparat+nparap,.] = readr(fhparas,1)';
drawrow = seekr(fhparas,nparap+3);
post_ci[nparat+1:nparat+nparap,.]   = readr(fhparas,2)';
closeall fhparas;
   

/* Create table
*/
para_ind = 1;
do until para_ind > npara;

   tablerow = row_name[para_ind];

   inputfile_ind = 1;
   do until inputfile_ind > 1;
      
      tablerow = tablerow $+ " & " $+ ftos(post_mean[para_ind,inputfile_ind],"%*.*lf",5,2)
                 $+ " & [" $+ ftos(post_ci[para_ind,2*(inputfile_ind-1)+1],"%*.*lf",5,2)
                 $+ ", "  $+ ftos(post_ci[para_ind,2*(inputfile_ind)],"%*.*lf",5,2) $+ "]";
      inputfile_ind = inputfile_ind+1;
      
   endo;
   tablerow  = tablerow  $+ "\\\\";
   
   $tablerow;
   
   para_ind = para_ind+1;

endo;
