/* filename:    ss_plot.g
** description: This program plots the regime indicator
*/

new;
closeall;
library user, pgraph;
cls;
outwidth 128;

mhrun  = "1";

#include c:\projects\active\learnpol\gauss2\pathspec.g;
#include c:\projects\active\learnpol\gauss2\lpspec.g;

/******************************************************** 
** Read Posterior Simulation Summary Files
**
*/
lpath  = parapath $+ "\\mhrun" $+ mhrun;

ldraw  = lpath $+ "\\" $+ "m1" $+ lprior $+ dataselstr $+ subTstr $+ "pss";
open fhdraw = ^ldraw for read;
ss_m1 = readr(fhdraw,1);
closeall fhdraw;

ldraw  = lpath $+ "\\" $+ "m3" $+ lprior $+ dataselstr $+ subTstr $+ "pss";
open fhdraw = ^ldraw for read;
ss_m3 = readr(fhdraw,1);
closeall fhdraw;


/******************************************************** 
** Import data
** series (nobs,3)
*/
#include c:\projects\active\learnpol\gauss2\loaddata.g

nobs  = rows(series_yT);  /* number of observations */
YY    = series_yT;   
SS    = series_sT;

/******************************************************** 
** Create Graph
** 
*/


    graphset;
    begwind;
    margin(0,0,0.2,0.2);
    window(3,1,1);
    fonts("microb");
    _ptitlht = 0.4;
    _paxht = 0.4;
    _pnumht = 0.35;
    _pcolor =2 ;
    _pcolor = { 2 4 };
    _pltype = {6 2};
    _protate = 0; 
    _plctrl = 0;
    _plwidth = 5.5;
    _psymsiz = 5;
    _plegstr = "Inflation Rate\000Federal Funds Rate"; 
    _plegctl = {2 4 5.5 3};


   ylow  =  0;
   yhigh =  20;

   _pline = ( 1 ~ 1 ~ 1958.25 ~ ylow ~ 1958.25 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1961 ~ ylow ~ 1961 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1970.75 ~ ylow ~ 1970.75 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1975 ~ ylow ~ 1975 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1980.5 ~ ylow ~ 1980.5 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1982.75 ~ ylow ~ 1982.75 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1991 ~ ylow ~ 1991 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1957.5 ~ ylow ~ 1957.5 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1960.25 ~ ylow ~ 1960.25 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1969.75 ~ ylow ~ 1969.75 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1973.75 ~ ylow ~ 1973.75 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1980 ~ ylow ~ 1980 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1981.5 ~ ylow ~ 1981.5 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1990.5 ~ ylow ~ 1990.5 ~ yhigh ~ 4 ~ 1 ) ;

    xtics(1960,2000,5,5);
    ytics(0,20,5,5); 
    title("Inflation and Interest Rates");
    xy(ti,YY[.,2]~YY[.,3]);
    nextwind;

    _plegctl = { };

    _pcolor = { 2 };

   ylow  =  0;
   yhigh =  1.5;

   _pline = ( 1 ~ 1 ~ 1958.25 ~ ylow ~ 1958.25 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1961 ~ ylow ~ 1961 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1970.75 ~ ylow ~ 1970.75 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1975 ~ ylow ~ 1975 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1980.5 ~ ylow ~ 1980.5 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1982.75 ~ ylow ~ 1982.75 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1991 ~ ylow ~ 1991 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1957.5 ~ ylow ~ 1957.5 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1960.25 ~ ylow ~ 1960.25 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1969.75 ~ ylow ~ 1969.75 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1973.75 ~ ylow ~ 1973.75 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1980 ~ ylow ~ 1980 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1981.5 ~ ylow ~ 1981.5 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1990.5 ~ ylow ~ 1990.5 ~ yhigh ~ 4 ~ 1 ) ;


    title("Prob (High Infl): Full-Information");
    ytics(0,1.5,0.25,1); 
    xtics(1960,2000,5,5);
    xy(ti,SS_m1');
    nextwind;

   ylow  =  0;
   yhigh =  1.5;

   _pline = ( 1 ~ 1 ~ 1958.25 ~ ylow ~ 1958.25 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1961 ~ ylow ~ 1961 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1970.75 ~ ylow ~ 1970.75 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1975 ~ ylow ~ 1975 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1980.5 ~ ylow ~ 1980.5 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1982.75 ~ ylow ~ 1982.75 ~ yhigh ~ 4 ~ 1 )|
            ( 1 ~ 1 ~ 1991 ~ ylow ~ 1991 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1957.5 ~ ylow ~ 1957.5 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1960.25 ~ ylow ~ 1960.25 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1969.75 ~ ylow ~ 1969.75 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1973.75 ~ ylow ~ 1973.75 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1980 ~ ylow ~ 1980 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1981.5 ~ ylow ~ 1981.5 ~ yhigh ~ 4 ~ 1 ) |
            ( 1 ~ 6 ~ 1990.5 ~ ylow ~ 1990.5 ~ yhigh ~ 4 ~ 1 ) ;


    title("Prob (High Infl): Learning");
    ytics(0,1.5,0.25,1); 
    xtics(1960,2000,5,5);
    xy(ti,SS_m3');
    endwind;
